/****
 *
 * Exemplo: break statement not within loop or switch
 *
 * Seo: D.18.20
 *
 ****/

#include <stdio.h>
#include <math.h>

void ImprimeRaiz(double x)
{
   if (x < 0) {
      break; /* Ilegal */
   }

   printf("Raiz quadrada: %f\n", sqrt(x));
}

int main(void)
{
   ImprimeRaiz(2.5);

   return 0;
}

/****************** Exemplo de Compilao ******************

error: break statement not within loop or switch

***********************************************************/
