/****
 *
 * Exemplo: format '%?' expects type 'T *', but argument n
 *          has type 'T'
 *
 * Seo: D.19.1
 *
 ****/

#include <stdio.h>

int main(void)
{
   int x;

   printf("Digite um valor inteiro: ");
   scanf("%d", x);  /* Operador & est ausente */

   printf("\nVoce digitou: %d\n", x);

   return 0;
}

/****************** Exemplo de Compilao ******************

warning: format '%d' expects argument of type 'int *', but
         argument 2 has type 'int'
warning: 'x' is used uninitialized in this function

***********************************************************/
/******************* Exemplo de Execuo *******************

Digite um valor inteiro: 35

Voce digitou: 2147315712

***********************************************************/
