/****
 *
 * Exemplo: format '%?' expects a matching 'T *' argument
 *
 * Seo: D.19.2
 *
 ****/

#include <stdio.h>

int main(void)
{
   int x, y;

   printf("Digite dois valores inteiros: ");
   scanf("%d %d", &x);

   printf("\nValores lidos: x = %d, y = %d\n", x, y);

   return 0;
}

/****************** Exemplo de Compilao ******************

warning: format '%d' expects a matching 'int *' argument
warning: 'y' is used uninitialized in this function

***********************************************************/
/******************* Exemplo de Execuo *******************

Digite dois valores inteiros: 2 3

Valores lidos: x = 2, y = 2147344384

***********************************************************/
