/****
 *
 * Exemplo: return type defaults to 'int'
 *
 * Seo: D.19.12
 *
 ****/

#include <stdio.h>

Soma(int x, int y) /* Ilegal em C99 e C11 */
{
   int soma;

   soma = x + y;

   return soma;
}

int main(void)
{
   int x, y;

   printf("Digite dois valores inteiros: ");
   scanf("%d %d", &x, &y);

   printf("Soma: %d + %d = %d\n", x, y, Soma(x, y));

   return 0;
}

/****************** Exemplo de Compilao ******************

warning: return type defaults to 'int'

***********************************************************/
/******************* Exemplo de Execuo *******************

Digite um valor inteiro: 35

Voce digitou: 2147315712

***********************************************************/
