/****
 *
 * Exemplo: excess elements in array initializer
 *
 * Seo: D.19.25
 *
 ****/

#include <stdio.h>

int main(void)
{
   int i, ar[3] = {-1, -2, 8, 4};

   for (i = 0; i < 4; ++i) {
      printf("ar[%d] = %d\n", i, ar[i]);
   }

   return 0;
}

/****************** Exemplo de Compilao ******************

warning: excess elements in array initializer
warning: (near initialization for 'ar')

***********************************************************/
/******************* Exemplo de Execuo *******************

ar[0] = -1
ar[1] = -2
ar[2] = 8
ar[3] = 3

***********************************************************/
