/****
 *
 * Ttulo: Testando a Instalao de LeituraFacil
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/06/2012
 * ltima modificao: 16/06/2012
 *
 * Descrio: Teste da biblioteca LeituraFacil
 *
 * Entrada: Valores digitados via teclado
 *
 * Sada: Mensagens apresentadas na tela informando os valores lidos
 *
 ****/

#include <stdio.h>
#include "leitura.h"

/****
 *
 * main(): Testa as funes da biblioteca LeituraFacil
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int    i, c;
   double f;

   printf("\nDigite um caractere > ");
   c = LeCaractere();

   printf("\n>> Caractere digitado: %c\n", c);

   printf("\nDigite um numero inteiro > ");
   i = LeInteiro();

   printf("\n>> Numero inteiro digitado: %d\n", i);

   printf("\nDigite um numero real > ");
   f = LeReal();

   printf("\n>> Numero real digitado: %f\n", f);

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um caractere > A

>> Caractere digitado: A

Digite um numero inteiro > 21

>> Numero inteiro digitado: 21

Digite um numero real > 2.5

>> Numero real digitado: 2.500000

**********************************************************/
