/****
 *
 * Exemplo: Como Construir um Programa I: Implementao
 *
 * Seo: 2.9.4
 *
 ****/

   /* Permite usar funes de biblioteca */
#include "leitura.h" /* Funo LeReal() */
#include <stdio.h>   /* Funo printf() */
#include <math.h>    /* Funo sqrt()   */

int main(void)
{
   /* >>> A traduo do algoritmo comea a seguir <<< */

      /* double  o equivalente em C ao tipo */
      /* real da linguagem algortmica       */
   double a, b, c, /* Coeficientes da equao */
          x1, x2,  /* As razes */
          delta;   /* Discriminante da equao */

      /* Solicita ao usurio e l o coeficiente 'a' */
   printf("\nDigite o coeficiente quadratico (a): ");
   a = LeReal();

      /* Se o valor de 'a' for igual a zero, no */
      /* se ter uma equao do segundo grau     */
   if (a == 0) {
         /* Apresenta o resultado do programa */
      printf("\nO valor de a nao pode ser zero\n");
   } else {
         /* Solicita ao usurio e l o coeficiente 'b' */
      printf("\nDigite o coeficiente linear (b): ");
      b = LeReal();

         /* Solicita ao usurio e l o coeficiente 'c' */
      printf("\nDigite o coeficiente constante (c): ");
      c = LeReal();

      delta = b*b - 4*a*c; /* Calcula o discriminante */

         /* Verifica se h razes reais */
      if (delta < 0) { /* No h razes reais */
            /* Informa o resultado do programa */
         printf("\nNao ha' raizes reais\n");
      } else { /* H razes reais */
            /* Calcula as razes da equao */
         x1 = (-b + sqrt(delta))/(2*a);
         x2 = (-b - sqrt(delta))/(2*a);

            /* Exibe as razes da equao */
         printf("\nAs raizes da equacao sao: %f e %f\n", x1, x2);
      }
   }

      /* Encerra o programa informando o sistema */
      /* operacional que no houve erro          */
   return 0;
}

/******************* Exemplos de Execuo *****************

Exemplo 1:
=========

Digite o coeficiente quadratico (a): 0

O valor de a nao pode ser zero

Exemplo 2:
=========

Digite o coeficiente quadratico (a): 1

Digite o coeficiente linear (b): -2

Digite o coeficiente constante (c): 4

Nao ha' raizes reais

Exemplo 3:
=========

Digite o coeficiente quadratico (a): 1

Digite o coeficiente linear (b): -5

Digite o coeficiente constante (c): 6

As raizes da equacao sao: 3.000000 e 2.000000

Exemplo 4:
=========

Digite o coeficiente quadratico (a): 1

Digite o coeficiente linear (b): -2

Digite o coeficiente constante (c): 1

As raizes da equacao sao: 1.000000 e 1.000000

*********************************************************/
