/****
 *
 * Ttulo: Separando um Inteiro em Centena, Dezena e Unidade
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 22/06/2012
 * ltima modificao: 22/06/2012
 *
 * Descrio: Separa um nmero inteiro introduzido via
 *            teclado em centena, dezena e unidade
 *
 * Entrada: Um nmero inteiro menor do que 1000 introduzido
 *          via teclado
 *
 * Sada: O nmero decompostao em centena, dezena e unidade
 *
 ****/

#include <stdio.h>    /* printf()     */
#include "leitura.h"  /* LeituraFacil */

/****
 *
 * main(): Separa um nmero inteiro introduzido via
 *         teclado em centena, dezena e unidade
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int n, resto;

      /* Apresenta o programa */
   printf( "\n\t>>> Este programa le um numero inteiro"
           "\n\t>>> de tres digitos e separa-o em "
           "\n\t>>> centena, dezena e unidade.\n" );

      /* L o nmero */
   printf("\nDigite um numero inteiro de tres digitos: ");
   n = LeInteiro();

      /* Exibe a centena */
   printf("\n\t>>> Centena: %d", n/100);

      /* Descarta a centena */
   resto = n%100;

      /* Exibe a dezena */
   printf("\n\t>>> Dezena: %d", resto/10);

      /* Exibe a unidade */
   printf("\n\t>>> Unidade: %d\n", resto%10);

   return 0;
}

/******************* Exemplo de Execuo ******************

        >>> Este programa le um numero inteiro
        >>> de tres digitos e separa-o em
        >>> centena, dezena e unidade.

Digite um numero inteiro de tres digitos: 543

        >>> Centena: 5
        >>> Dezena: 4
        >>> Unidade: 3

**********************************************************/
