/****
 *
 * Exemplo: Uso de instruo switch-case na qual
 *          um conjunto de instrues faz parte
 *          de mais de um case
 *
 * Seo: 4.6.3
 *
 ****/

#include <stdio.h>
#include "leitura.h"

int main(void)
{
   char opcao;

   printf( "\nA - Opcao A"
           "\nB - Opcao B"
           "\nC - Opcao C"
           "\nD - Opcao D" );

   printf("\n\nEscolha uma das opcoes disponiveis: ");
   opcao = LeCaractere();

   switch (opcao) {
      case 'A':
      case 'a':
         printf("\nVoce escolheu a opcao A");
         break;
      case 'B':
      case 'b':
         printf("\nVoce escolheu a opcao B");
         break;
      case 'C':
      case 'c':
         printf("\nVoce escolheu a opcao C");
         break;
      case 'D':
      case 'd':
         printf("\nVoce escolheu a opcao D");
         break;
      default:
         printf("\nVoce nao escolheu uma opcao valida");
         break;
   }

   return 0;
}

/******************* Exemplos de Execuo ******************

Exemplo 1:
=========

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D

Escolha uma das opcoes disponiveis: A

Voce escolheu a opcao A

Exemplo 2:
=========

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D

Escolha uma das opcoes disponiveis: a

Voce escolheu a opcao A

***********************************************************/
