/****
 *
 * Exemplo: Corpo de uma funo
 *
 * Seo: 5.4.2
 *
 ****/

#include <stdio.h> /* printf() */

int ValorAbsoluto(int x)
{
   return x < 0 ? -x : x;
}

int main(void)
{
   printf( "\nO valor absoluto de -2 e' %d\n",
           ValorAbsoluto(-2) );

   printf( "O valor absoluto de 2 e' %d\n",
           ValorAbsoluto(2) );

   return 0;
}

/****************** Resultado do programa ******************

O valor absoluto de -2 e' 2
O valor absoluto de 2 e' 2

***********************************************************/
