/****
 *
 * Exemplo: Aritmtica de Ponteiros
 *
 * Seo: 7.6
 *
 * Observao: Este programa contm instrues ilegais
 *
 ****/

#include <stdio.h>

int main(void)
{
   double  ar[] = {0.0, 2.5, 3.2, 7.5, 1.6},
          *p1, *p2;
   int     j;
   char   *p3;

   p1 = &ar[0];  /* Legal */

   p2 = p1 + 4;  /* Legal */
   printf("\n*p2 = %f", *p2);

   j = p2 - p1;  /* Legal - resultado: j recebe 4  */
   printf("\np2 - p1 = %d", j);

   j = p1 - p2;  /* Legal - resultado: j recebe -4 */
   printf("\np1 - p2 = %d", j);

   p1 = p2 - 2;  /* Legal - ponteiros so compatveis */
   printf("\n*p1 = %f", *p1);

   p3 = p1 - 1;  /* Legal, mas os ponteiros */
                 /* no so compatveis     */
   printf("\n*p3 = %f", *p3);
   printf("\n*p3 = %d", *p3);

// j = p1 - p3;  /* ILEGAL: os ponteiros  no so compatveis */

   return 0;
}

/****************** Resultado do Programa *****************

*p2 = 1.600000
p2 - p1 = 4
p1 - p2 = -4
*p1 = 3.200000
*p3 = 3.199999
*p3 = 0

**********************************************************/
