/****
 *
 * Exemplo: Retorno de Arrays e Zumbis
 *
 * Seo: 7.9.4
 *
 * Observao: Este programa contm um erro de lgica
 *
 ****/

#include <stdio.h>

void ExibeArrayEmTabela(const int ar[], int tamanho)
{
   int i;
   int array[10] = {0}; /* Apenas para acordar o zumbi */

   printf("\nIndice\tElemento\n");

   for (i = 0; i < tamanho; ++i) {
      printf("\n  %d\t    %d", i, ar[i]);
   }
}

int *RetornaZumbi(void)
{
   int zumbi[5];
   int i;

   for (i = 0; i < 5; ++i)
      zumbi[i] = i;

   printf("\n*** No corpo de RetornaZumbi() ***\n");
   ExibeArrayEmTabela(zumbi, 5);

      /* Retorna o endereo de um array zumbi */
   return zumbi;
}

int main(void)
{
   int *ar;

   ar = RetornaZumbi();

   printf("\n\n*** No corpo de main() ***\n");
   ExibeArrayEmTabela(ar, 5);

   return 0;
}

/****************** Resultado do Programa *****************

GCC (Windows XP):
================

*** No corpo de RetornaZumbi() ***

Indice  Elemento

  0         0
  1         1
  2         2
  3         3
  4         4

*** No corpo de main() ***

Indice  Elemento

  0         0
  1         0
  2         0
  3         0
  4         0

-----------------------------------------------------------

Clang (Mac OS X):
================

*** No corpo de RetornaZumbi() ***

Indice	Elemento

  0       0
  1       1
  2       2
  3       3
  4       4

*** No corpo de main() ***

Indice	Elemento

  0       0
  1       0
  2       2
  3       5
  4       1385798544

**********************************************************/
