/****
 *
 * Exemplo: Comprimento de Strings
 *
 * Seo: 8.5.3
 *
 ****/

#include <stdio.h>

size_t  ComprimentoStr2(const char *str)
{
   size_t tamanho = 0; /* Armazena o tamanho do string e */
                       /* usada como ndice para acesso  */
                       /* a cada caractere do string     */

      /* Examina cada caractere do string at     */
      /* encontrar o caractere terminal de string */
   while (str[tamanho]) {
      ++tamanho; /* Mais um caractere encontrado */
   }

   return tamanho;
}

int main(void)
{
   char   *ptr = "Bola";
   char    ar[] = "Bolada";
   size_t  tamanho;

   tamanho = ComprimentoStr2(ptr);
   printf("\nTamanho do string \"%s\": %d", ptr, tamanho);

   tamanho = ComprimentoStr2(ar);
   printf("\nTamanho do string \"%s\": %d", ar, tamanho);

   printf( "\nTamanho do string \"Balao\": %d\n",
           ComprimentoStr2("Balao") );

   return 0;
}

/****************** Resultado do Programa *****************

Tamanho do string "Bola": 4
Tamanho do string "Bolada": 6
Tamanho do string "Balao": 5

**********************************************************/
