/****
 *
 * Exemplo: Funo strrchr()
 *
 * Seo: 8.5.8
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char *str1 = "Isso e' um teste";
   char *str2 = "Bola";
   char *posicao;
   int   c = 't';

   posicao = strrchr(str1, c);

   if (!posicao) {
      printf( "\nO caractere \'%c\' nao foi encontrado "
              "em \"%s\"\n", c, str1 );
   } else {
      printf( "\nConteudo de \"%s\" a partir do ultimo "
              "\ncaractere \'%c\': \"%s\"\n", str1, c, posicao );
   }

   posicao = strrchr(str2, c);

   if (!posicao) {
      printf( "\nO caractere \'%c\' nao foi encontrado "
              "em \"%s\"\n", c, str2);
   } else {
      printf( "\nConteudo de \"%s\" a partir do ultimo "
              "caractere \'%c\': \"%s\"\n", str2, c, posicao );
   }

   return 0;
}

/****************** Resultado do Programa *****************

Conteudo de "Isso e' um teste" a partir do ultimo
caractere 't': "te"

O caractere 't' nao foi encontrado em "Bola"

**********************************************************/
