/****
 *
 * Exemplo: Transformao de Caracteres: toupper()
 *
 * Seo: 8.7.2
 *
 * Observao: Este programa contm dois erros e ser abortado
 *
 ****/

#include <stdio.h>
#include <ctype.h>

/****
 *
 * ConverteEmMaiusculas(): Converte as letras de um string em
 *                         maisculas. Caracteres que no so
 *                         letras no so afetados.
 *
 * Parmetros: str (entrada/sada): o string
 *
 * Retorno: O endereo do string recebido como parmetro
 *
 ****/
char* ConverteEmMaiusculas(char *str)
{
   char *p = str; /* Guarda incio do string */

      /* Converte em maiscula cada caractere que  letra */
   while (*str) {
      *str = toupper(*str); /* Converte caractere atual */
      ++str; /* Passa para o prximo caractere */
   }

   return p; /* Retorna o endereo do string */
}

int main(void)
{
   char  s1[] = "Zebra";
   char  *s2 = "anta";

      /* A instruo a seguir causa um erro de lgica */
   printf( "\nString \"%s\" convertido em maiusculas:"
           " \"%s\"\n", s1, ConverteEmMaiusculas(s1) );

      /* A instruo a seguir causa um erro de execuo */
   printf( "\nString \"%s\" convertido em maiusculas:"
           " \"%s\"\n", s2, ConverteEmMaiusculas(s2) );

   return 0;
}

/****************** Resultado do Programa *****************

Windows XP:
==========

String "ZEBRA" convertido em maiusculas: "ZEBRA"
[Programa abortado]

Mac OS X:
========

String "ZEBRA" convertido em maiusculas: "ZEBRA"
Bus error: 10

**********************************************************/
