/****
 *
 * Exemplo: Abrindo um Arquivo
 *
 * Seo: 11.4
 *
 ****/

#include <stdio.h>

int main(void)
{
   FILE *stream;

      /* Tenta abrir o arquivo */
   stream = fopen("Inexistente.txt", "r");

      /* Verifica se a abertura foi bem sucedida */
   if (stream == NULL) { /* Abertura falhou */
      printf( "\nO arquivo nao pode ser aberto. "
              "\nO programa sera' encerrado.\n" );
      return 1;
   } else { /* Abertura foi OK */
      printf("\nArquivo aberto com sucesso\n");

         /* Processa o arquivo */
      /* ... */
   }

   fclose(stream); /* Fecha o arquivo antes de encerrar */

   return 0;
}

/******************* Exemplo de Execuo ******************

O arquivo nao pode ser aberto.
O programa sera' encerrado.

**********************************************************/
