/****
 *
 * Exemplo: Ponteiros Genricos e o Tipo void *
 *
 * Seo: 11.3
 *
 ****/

#include <stdio.h>

typedef enum {INTEIRO, REAL} tTipoDeDado;

void ImprimeValor(void *valor, tTipoDeDado tipo)
{
   if (tipo == INTEIRO) {
      printf("Valor: %d\n", *(int *)valor);
   } else if (tipo == REAL) {
      printf("Valor: %f\n", *(double *)valor);
   } else {
      printf("Tipo desconhecido\n");
   }
}

int main(void)
{
   int i = 5;

   ImprimeValor(&i, INTEIRO);

   return 0;
}

/******************* Exemplo de Execuo *******************

Valor: 5

***********************************************************/
