/****
 *
 * Exemplo: Ponteiros rfos
 *
 * Seo: D.8.1
 *
 ****/

#include <stdio.h>   /* Entrada e sada   */
#include <stdlib.h>  /* Alocao dinmica */

#define LIBERA(x) do { free(x); x = NULL; } while(0)

/****
 *
 * main(): Testa a macro LIBERA()
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero, se no ocorrer nenhum erro.
 *          Um valor diferente de zero em caso contrrio.
 *
 ****/
int main(void)
{
   int *ar;

   ar = malloc(100*sizeof(int));

   /* ... */ // Processa o array

   LIBERA(ar);

   return 0;
}

/****************** Resultado do Programa ******************

Este programa no apresenta nada

***********************************************************/
