/****
 *
 * Exemplo: void *  Tipo de Ponteiro Genrico, mas void **
 *          no o 
 *
 * Seo: D.8.5
 *
 ****/

#include <stdio.h>   /* Entrada e sada   */
#include <stdlib.h>  /* Alocao dinmica */

/****
 *
 * Libera(): Libera um bloco alocado dinamicamente e
 *           anula um ponteiro que aponta para ele
 *
 * Parmetros:
 *     p (entrada/sada) - ponteiro para um ponteiro que
 *                         aponta para o referido bloco
 *
 * Retorno: Nada
 *
 ****/
void Libera(void **p)
{
   free(*p);
   *p = NULL;
}

int main(void)
{
   int *ar;

   ar = malloc(100*sizeof(int));

   /* ... */ // Processa o array

      /* Converso explcita  necessria aqui */
   Libera((void **)&ar);

   return 0;
}

/****************** Resultado do Programa *****************

Este programa no apresenta nada na tela

**********************************************************/
