/****
 *
 * Exemplo: Desrespeito aos Limites de Arrays
 *
 * Seo: D.9.1
 *
 * Observao: Este programa provavelmente no ser abortado, mas
 *             demonstra um siro erro lgico
 *
 ****/

#include <stdio.h>

int main(void)
{
   int *p, ar[5] = {1, 2, 3, 4, 5};

   p = ar + 10; /* p aponta para alm dos limites do array */

      /* A instruo a seguir no faz sentido, */
      /* mas no h maiores consequncias para */
      /* o funcionamento do programa.          */
   printf("Conteudo apontado por p = %d\n", *p);

      /* A instruo a seguir  catastrfica */
   *p = 0;

   for (int i = 0; i < 5; i++) {
       printf("\nar[%d] = %d", i , ar[i]);
   }

   return 0;
}

/******************* Exemplo de Execuo ******************

Conteudo apontado por p = 2130567168

ar[0] = 1
ar[1] = 2
ar[2] = 3
ar[3] = 4
ar[4] = 5

**********************************************************/
