/****
 *
 * Exemplo: Iniciao de Variveis em Laos de Repetio
 *
 * Seo: D.16.2
 *
 ****/

#include <stdio.h>
#include "leitura.h"

int SomaAteN(int n)
{
   if (n <= 0) {
      return 0;
   }

   while (1) {
      static int soma = 0;

      soma = soma + n--;

      if (!n) {
         return soma;
      }
   }
}

int main(void)
{
   int n;

   while (1) {
      printf("\nDigite um inteiro positivo: ");
      if ((n = LeInteiro()) <= 0) {
         return 1;
      }

      printf( "\nSoma dos inteiros entre 1 e %d: %d\n",
              n, SomaAteN(n) );
   }

   return 0;
}

/****************** Resultado do Programa *****************

Digite um inteiro positivo: 5

Soma dos inteiros entre 1 e 5: 15

Digite um inteiro positivo: 6

Soma dos inteiros entre 1 e 6: 36

Digite um inteiro positivo: 5

Soma dos inteiros entre 1 e 5: 51

Digite um inteiro positivo: 6

Soma dos inteiros entre 1 e 6: 72

Digite um inteiro positivo: 0

**********************************************************/
