/****
 *
 * Exemplo: passing argument n of 'F' makes pointer from
 *          integer without a cast
 *
 * Seo: D.19.13
 *
 ****/

#include <stdio.h>

void Troca(int *p1, int *p2)
{
   int aux = *p1;

   *p1 = *p2;
   *p2 = aux;
}

int main(void)
{
   int i = 2, j = 5;

   printf( "\n\t>>> ANTES da troca <<<\n"
           "\n\t    i = %d, j = %d\n", i, j );

   Troca(&i, j);

   printf( "\n\t>>> DEPOIS da troca <<<\n"
           "\n\t    i = %d, j = %d\n", i, j );

   return 0;
}

/****************** Exemplo de Compilao ******************

warning: passing argument 2 of 'Troca' makes pointer from
         integer without a cast
note: expected 'int *' but argument is of type 'int'

***********************************************************/
/******************* Exemplo de Execuo *******************

        >>> ANTES da troca <<<

            i = 2, j = 5

[O programa  abortado]

***********************************************************/
