/****
 *
 * Ttulo: Um Programa Melindroso
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/06/2012
 * ltima modificao: 16/06/2012
 *
 * Descrio: Tenta ler usando scanf() um nmero inteiro,
 *            um nmero real e um caractere e apresenta
 *            o resultado da leitura na tela..
 *
 * Entrada: Valores digitados via teclado
 *
 * Sada: Mensagens apresentadas na tela informando os valores lidos
 *
 ****/

#include <stdio.h>    /* Entrada e sada */

/****
 *
 * main(): Tenta ler usando scanf() um nmero inteiro,
 *         um nmero real e um caractere e apresenta
 *         o resultado da leitura na tela.
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int    i, c;
   double f;

      /* Apresenta o programa */
   printf( "\n\t>>> Este programa e' fragil como"
           "\n\t>>> alfeni. Trate-o com carinho.\n" );

   printf("\n\t>>> Digite um numero inteiro > ");
   scanf("%d", &i);

   printf("\n>> Numero inteiro digitado: %d\n", i);

   printf("\n\t>>> Digite um numero real > ");
   scanf("%lf", &f);

   printf("\n>> Numero real digitado: %f\n", f);

   printf("\n\t>>> Digite um caractere > ");
   c = getchar();

   printf("\n>> Caractere digitado: %c\n", c);

      /* Despede-se do usurio */
   printf( "\t>>> Obrigado por usar este programa.\n");

   return 0;
}

/******************* Exemplo de Execuo ******************

Exemplo 1:

        >>> Este programa e' fragil como
        >>> alfeni. Trate-o com carinho.

        >>> Digite um numero inteiro > abc

>> Numero inteiro digitado: 0

        >>> Digite um numero real >
>> Numero real digitado: 0.000000

        >>> Digite um caractere >
>> Caractere digitado: a

        >>> Obrigado por usar este programa.

Exemplo 2:

        >>> Este programa e' fragil como
        >>> alfeni. Trate-o com carinho.

        >>> Digite um numero inteiro > -12

>> Numero inteiro digitado: -12

        >>> Digite um numero real > 2.54

>> Numero real digitado: 2.540000

        >>> Digite um caractere >
>> Caractere digitado:

        >>> Obrigado por usar este programa.

**********************************************************/
