/****
 *
 * Exemplo: Uso de switch-case sem break
 *
 * Seo: 4.6.3
 *
 ****/

#include <stdio.h>
#include "leitura.h"

int main(void)
{
   char opcao;

   printf( "\nA - Opcao A"
           "\nB - Opcao B"
           "\nC - Opcao C"
           "\nD - Opcao D" );

   printf("\n\nEscolha uma das opcoes disponiveis: ");
   opcao = LeCaractere();

   switch (opcao) {
      case 'A':
         printf("\nVoce escolheu a opcao A");
      case 'B':
         printf("\nVoce escolheu a opcao B");
      case 'C':
         printf("\nVoce escolheu a opcao C");
      case 'D':
         printf("\nVoce escolheu a opcao D");
      default:
         printf("\nVoce nao escolheu uma opcao valida");
   }

   return 0;
}

/******************* Exemplo de Execuo ******************

Exemplo 1:
=========

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D

Escolha uma das opcoes disponiveis: A

Voce escolheu a opcao A
Voce escolheu a opcao B
Voce escolheu a opcao C
Voce escolheu a opcao D
Voce nao escolheu uma opcao valida

Exemplo 2:
=========

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D

Escolha uma das opcoes disponiveis: a

Voce nao escolheu uma opcao valida

***********************************************************/
