/****
 *
 * Exemplo: Simulando Passagem por Referncia em C
 *
 * Seo: 5.5.3
 *
 ****/

#include <stdio.h> /* Entrada e sada */

void Troca2(int *ptrInt1, int *ptrInt2)
{
   int aux = *ptrInt1; /* Guarda o valor do primeiro */
                       /* inteiro que ser alterado  */

   /*                                                       */
   /* A varivel cujo valor foi guardado recebe o valor da  */
   /* outra varivel e esta recebe o valor que foi guardado */
   /*                                                       */

   *ptrInt1 = *ptrInt2;
   *ptrInt2 = aux;
}

int main(void)
{
   int i = 2, j = 5;

   printf( "\n\t>>> ANTES da troca <<<\n"
           "\n\t    i = %d, j = %d\n", i, j );

   Troca2(&i, &j);

   printf( "\n\t>>> DEPOIS da troca <<<\n"
           "\n\t    i = %d, j = %d\n", i, j );

   return 0;
}

/****************** Resultado do programa ******************

        >>> ANTES da troca <<<

            i = 2, j = 5

        >>> DEPOIS da troca <<<

            i = 5, j = 2

***********************************************************/
