/****
 *
 * Exemplo: Solicitando Confirmao Sim/No
 *
 * Seo: 5.11.3
 *
 ****/

#include <stdio.h>   /* Entrada e sada */
#include "leitura.h" /* LeOpcao()       */

/****
 *
 * LeOpcaoSimNao(): L uma opo do tipo sim/no
 *
 * Parmetros: Nenhum
 *
 * Retorno: 1, se a opo for 's' ou 'S'
 *          0, se a opo for 'n' ou 'N'
 *
 ****/
int LeOpcaoSimNao(void)
{
   int op;

   op = LeOpcao("sSnN");

   if (op == 's' || op == 'S') {
      return 1;
   }

   return 0;
}

int main(void)
{
   printf("\n\t>>> Em seguida sera' executada tal operacao."
             "\n\t>>> Deseja continuar? ");
   if (LeOpcaoSimNao()) {
      printf("\n\t>>> Operacao executada\n");
   } else {
      printf( "\n\t>>> A operacao NAO foi executada\n" );
   }

   return 0;
}

/******************* Exemplo de Execuo ******************

Exemplo 1:
=========

        >>> Em seguida sera' executada tal operacao.
        >>> Deseja continuar? s

        >>> Operacao executada

Exemplo 2:
=========

        >>> Em seguida sera' executada tal operacao.
        >>> Deseja continuar? n

        >>> A operacao NAO foi executada

**********************************************************/
