/****
 *
 * Exemplo: Varivel de durao fixa
 *
 * Seo: 5.12.2
 *
 ****/

#include <stdio.h>

void QuantasVezesFuiChamada(void)
{
    static int contador = 0;

    ++contador;

    printf( "Esta funcao foi chamada %d vez%s\n",
            contador, contador == 1 ? "" : "es" );
}

int main(void)
{
   int i;

   for (i = 0; i < 3; ++i) {
      QuantasVezesFuiChamada();
   }

   return 0;
}

/****************** Resultado do Programa *****************

Esta funcao foi chamada 1 vez
Esta funcao foi chamada 2 vezes
Esta funcao foi chamada 3 vezes

**********************************************************/
