/****
 *
 * Exemplo: Varivel de durao automtica vs.
 *          varivel de durao fixa
 *
 * Seo: 5.12.3
 *
 ****/

#include <stdio.h>

void Incrementa(void)
{
    int          i = 1;
    static  int  j = 1;

    i++;
    j++;

    printf("Valor de i = %d\t\t Valor de j = %d\n", i, j);
}

int main(void)
{
   int i;

   for (i = 0; i < 5; ++i) {
      Incrementa();
   }

   return 0;
}

/****************** Resultado do Programa *****************

Valor de i = 2           Valor de j = 2
Valor de i = 2           Valor de j = 3
Valor de i = 2           Valor de j = 4
Valor de i = 2           Valor de j = 5
Valor de i = 2           Valor de j = 6

**********************************************************/
