/****
 *
 * Exemplo: Nmeros Reais No So Realmente Reais
 *
 * Seo: 6.5
 *
 ****/

#include <stdio.h>

#define DELTA 1.0E-14

int main(void)
{
   double x = 9.90,
          y = 12.0,
          diferenca,  /* Armazenar x - y (e no y - x)  */
          parteFrac;  /* Parte fracionria da diferena  */
   int    parteInt,   /* Parte inteira da diferena      */
          centesimos; /* Parte fracionria em centsimos */

      /* Calcula a diferena */
   diferenca = x - y; /* Note que agora  x - y */

      /* Efetua a correo da diferena */
   if (diferenca >= 0.0) {
      diferenca = diferenca + DELTA;
   } else {
      diferenca = diferenca - DELTA;
   }

      /* Obtm a parte inteira da diferena */
   parteInt = (int) diferenca;

      /* Obtm a parte fracionria da diferena */
   parteFrac = diferenca - (double) parteInt;

      /* Apresenta os valores obtidos at aqui */
   printf("\nx = %.20f\ny = %.20f\ndiferenca = %.20f"
          "\nparteFrac = %.20f\n", x, y, diferenca, parteFrac);

      /* Calcula os centsimos da parte */
      /* fracionria da diferena       */
   centesimos = (int) (parteFrac*100.0);

      /* Exibe na tela a parte inteira e os centsimos */
   printf( "\nparteInt = %d\ncentesimos = %d\n",
           parteInt, centesimos );

   return 0;
}

/****************** Resultado do Programa *****************

x = 9.90000000000000035527
y = 12.00000000000000000000
diferenca = -2.10000000000000985878
parteFrac = -0.10000000000000985878

parteInt = -2
centesimos = -10

***********************************************************/
