/****
 *
 * Exemplo: Array de durao fixa vs.
 *          array de durao automtica
 *
 * Seo: 7.4.2
 *
 ****/

#include <stdio.h>

int main(void)
{
   static int arFixo[5];
   int        arAuto[5];
   int        i;

   printf("\n\n*** Array de Duracao Fixa ***\n");

   for (i = 0; i < 5; ++i) {
      printf("\n  %d\t    %d", i, arFixo[i]);
   }

   printf("\n\n*** Array de Duracao Automatica ***\n");

   for (i = 0; i < 5; ++i) {
      printf("\n  %d\t    %d", i, arAuto[i]);
   }

   return 0;
}

/******************* Exemplo de Execuo *******************

*** Array de Duracao Fixa ***

  0         0
  1         0
  2         0
  3         0
  4         0

*** Array de Duracao Automatica ***

  0         2293592
  1         4200662
  2         4200568
  3         28
  4         0

***********************************************************/
