/****
 *
 * Exemplo: Leitura de Strings via Teclado: LeString()
 *
 * Seo: 8.5.1
 *
 ****/

#include <stdio.h>   /* printf()   */
#include "leitura.h" /* LeString() */

#define MAX_NOME 30

int main(void)
{
   char  nome[MAX_NOME + 1];
   int   resto;

   printf( "\nDigite seu nome (maximo de %d caracteres)\n\t> ",
           MAX_NOME );
   resto = LeString(nome, MAX_NOME + 1);

   printf("\nSeu nome e': %s\n", nome);

   if (resto) {
      printf( "\a\nVoce digitou %d caracteres excedentes\n",
              resto );
   }

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite seu nome (maximo de 30 caracteres)
        > Pedro de Alcantara Francisco Antonio Joao Carlos
Xavier de Paula Miguel Rafael Joaquim Jose Gonzaga Pascoal
Cipriano Serafim de Braganca e Bourbon

Seu nome e': Pedro de Alcantara Francisco A

Voce digitou 116 caracteres excedentes

**********************************************************/
