/****
 *
 * Exemplo: Cpia de Strings
 *
 * Seo: 8.5.4
 *
 ****/

#include <stdio.h>

char *CopiaString(char *destino, const char *origem)
{
      /* Guarda endereo do array apontado por 'destino' */
   char *inicioStrDestino = destino;

      /* Copia cada caractere do string  */
      /* 'origem' para o array 'destino' */
   while (*destino++ = *origem++) {
      ; /* No h mais nada a fazer */
   }

   return inicioStrDestino;
}

int main(void)
{
   char  *ptr = "Bola";
   char   ar[] = "Bolada";
   char   copia[50];

   CopiaString(copia, "um string de comprimento 27");
   printf("\nString copiado: \"%s\"", copia);

   CopiaString(copia, ptr);
   printf("\nString copiado: \"%s\"", copia);

   CopiaString(copia, ar);
   printf("\nString copiado: \"%s\"\n", copia);

   return 0;
}

/****************** Resultado do Programa *****************

String copiado: "um string de comprimento 27"
String copiado: "Bola"
String copiado: "Bolada"

**********************************************************/
