/****
 *
 * Exemplo: Casamento de Strings: strstr()
 *
 * Seo: 8.5.7
 *
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char *ptr1 = "Bom Dia Brasil";
   char *ptr2 = "dia";
   char *ptr3 = "Dia";
   char *posicao;

   posicao = strstr(ptr1, ptr2);

   if (!posicao) {
      printf( "\n\"%s\" nao foi encontrado em \"%s\"\n",
              ptr2, ptr1 );
   } else {
      printf( "\nConteudo de \"%s\" a partir de \"%s\":"
              " \"%s\"\n", ptr1, ptr2, posicao );
   }

   posicao = strstr(ptr1, ptr3);

   if (!posicao) {
      printf( "\n\"%s\" nao foi encontrado em \"%s\"\n",
              ptr3, ptr1 );
   } else {
      printf( "\nConteudo de \"%s\" a partir de \"%s\":"
              " \"%s\"\n", ptr1, ptr3, posicao );
   }

   return 0;
}

/****************** Resultado do Programa *****************

"dia" nao foi encontrado em "Bom Dia Brasil"

Conteudo de "Bom Dia Brasil" a partir de "Dia": "Dia Brasil"

**********************************************************/
