/****
 *
 * Exemplo: Separando um String em Partes (Tokens): strtok()
 *
 * Seo: 8.5.9
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char string[] = "Este e' um string com 7 tokens.";
   char separadores[] = " ."; /* Note o espao em branco */
   char *token;
   int  i = 0;

   printf("\nO string a ser separado em tokens e': "
          "\n\t\"%s\"\n", string);
   printf("\nOs tokens sao:\n\n");

   token = strtok(string, separadores);

   while (token) {
      printf("\tToken %d: \"%s\"\n", ++i, token);
      token = strtok(NULL, separadores);
   }

   printf("\nString original alterado por strtok(): "
          "\n\t\"%s\"\n", string);

   return 0;
}

/****************** Resultado do Programa *****************

O string a ser separado em tokens e':
        "Este e' um string com 7 tokens."

Os tokens sao:

        Token 1: "Este"
        Token 2: "e'"
        Token 3: "um"
        Token 4: "string"
        Token 5: "com"
        Token 6: "7"
        Token 7: "tokens"

String original alterado por strtok():
        "Este"

**********************************************************/
