/****
 *
 * Exemplo: Uso de Laos de Repetio em Leitura de Dados
 *
 * Seo: 11.9.5
 *
 ****/

#include <stdio.h>

void LimpaBuffer(void)
{
   int c; /* Caractere lido */

   do {
      c = getchar();
   } while (c != '\n' && c != EOF);
}

int main(void)
{
   int umInt, outroInt, nValLidos;

      /* Tenta ler o primeiro valor */
   printf("\nDigite um inteiro: ");
   nValLidos = scanf("%d", &umInt);

      /* Se o usurio no digitar um valor considerado */
      /* correto, faz nova tentativa de leitura        */
   if (nValLidos != 1) { /* Nenhum inteiro foi lido */
         /* Se scanf() retornou EOF no h */
         /* caracteres a serem removidos */
      if (nValLidos != EOF) {
         LimpaBuffer();
      }

         /* Oferece nova chance para o usurio se redimir */
      printf("\a\nValor incorreto. \nDigite um inteiro: ");
      nValLidos = scanf("%d", &umInt);
   }

      /* Remove caracteres remanescentes da leitura */
   LimpaBuffer();

      /* Tenta ler o segundo valor */
   printf("\nDigite outro inteiro: ");
   nValLidos = scanf("%d", &outroInt);

      /* Se o usurio no digitar um valor considerado */
      /* correto, faz nova tentativa de leitura        */
   if (nValLidos != 1) { /* Nenhum inteiro foi lido */
         /* Se scanf() retornou EOF no h */
         /* caracteres a serem removidos */
      if (nValLidos != EOF) {
         LimpaBuffer();
      }

         /* Oferece nova chance para o usurio se redimir */
      printf("\a\nValor incorreto. \nDigite um inteiro: ");
      nValLidos = scanf("%d", &outroInt);
   }

   printf( "\n\t>>> %d + %d = %d\n",
           umInt, outroInt, umInt + outroInt );

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um inteiro: 234ab

Digite outro inteiro: 23


        >>> 234 + 23 = 257

**********************************************************/
